summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authormrAppleXZ2016-11-28 09:23:00 +0500
committermrAppleXZ2016-11-28 09:23:00 +0500
commit066a92792bfdcf240ebfd11313ee8b027a51afd6 (patch)
tree69bf79d1b5f99b769db62393bd129b6b379b2129 /PKGBUILD
downloadaur-066a92792bfdcf240ebfd11313ee8b027a51afd6.tar.gz
.
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD54
1 files changed, 54 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5a2bac647fe
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,54 @@
+pkgname=monodevelop-git-nuget3
+_pkgname=monodevelop
+pkgver=r47310
+_branch="master"
+pkgrel=1
+pkgdesc="An IDE primarily designed for C# and other .NET languages - built from git sources. WARNING: building this package will require you to download >500 MB worth of data."
+arch=('any')
+url="http://www.monodevelop.com"
+license=('GPL')
+depends=('mono>=4.0.1' 'mono-addins>=0.6.2' 'gnome-sharp' 'hicolor-icon-theme' 'http-parser' 'curl' 'fsharp')
+makedepends=('rsync' 'cmake' 'git' 'nuget3' 'mono-pcl')
+options=(!makeflags)
+optdepends=('xsp: To run ASP.NET pages directly from monodevelop')
+provides=('monodevelop')
+conflicts=('monodevelop' 'monodevelop-stable' 'monodevelop-git')
+source=("git://github.com/mono/monodevelop.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ _REV=$(git rev-list --count ${_branch})
+ printf "r${_REV}"
+}
+
+prepare() {
+ cd $srcdir/$_pkgname
+
+ sed -i -e "s/MonoDevelop.FSharp.Shared.ToolTip /MonoDevelop.FSharp.Shared.ToolTips.ToolTip /" main/external/fsharpbinding/MonoDevelop.FSharpBinding/FSharpTextEditorCompletion.fs
+ sed -i -e "s/MonoDevelop.FSharp.Shared.EmptyTip /MonoDevelop.FSharp.Shared.ToolTips.EmptyTip /" main/external/fsharpbinding/MonoDevelop.FSharpBinding/FSharpTextEditorCompletion.fs
+}
+
+build() {
+ export MONO_SHARED_DIR=$srcdir/src/.wabi
+ mkdir -p $MONO_SHARED_DIR
+
+ cd $srcdir/$_pkgname
+ git submodule update --init --recursive || return 1
+ git clean -dfx
+
+ ./configure --prefix=/usr
+ XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make
+}
+
+package() {
+ cd $srcdir/$_pkgname
+
+ XDG_CONFIG_HOME="$srcdir"/config LD_PRELOAD="" make DESTDIR=$pkgdir install
+ # delete conflicting files
+ rm -r $(find $pkgdir/usr/share/mime/ -type f | grep -v "packages")
+ rm -r $MONO_SHARED_DIR
+
+ # NuGet.exe is missing somehow, fixed FS#43423
+ install -Dm755 "${srcdir}"/monodevelop/main/external/nuget-binary/nuget.exe "${pkgdir}"/usr/lib/monodevelop/AddIns/MonoDevelop.PackageManagement/NuGet.exe
+}